/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.BonReceptionFrs;

import javafx.beans.property.SimpleStringProperty;

/**
 * @author Maher
 */
public class BonReceptionGestionList {
    
    private final SimpleStringProperty Code;
    private final SimpleStringProperty Numero;
    private final SimpleStringProperty Date;
    private final SimpleStringProperty Heur;
    private final SimpleStringProperty Transporteur;
    private final SimpleStringProperty Fournisseur;
    private final SimpleStringProperty Facture;
    private final SimpleStringProperty LocalReception;
    
    public BonReceptionGestionList(String code, String numero, String date, String heur, String transporteur, String fournisseur, String facture, String local)
    {
        this.Code = new SimpleStringProperty(code);
        this.Numero = new SimpleStringProperty(numero);
        this.Date = new SimpleStringProperty(date);
        this.Heur = new SimpleStringProperty(heur);
        this.Transporteur = new SimpleStringProperty(transporteur);
        this.Fournisseur = new SimpleStringProperty(fournisseur);
        this.Facture = new SimpleStringProperty(facture);
        this.LocalReception = new SimpleStringProperty(local);
    }
    
    public String getCode() {
        return Code.get();
    }
    
    public String getNumero() {
        return Numero.get();
    }
    
    public String getDate() {
        return Date.get();
    }
    
    public String getHeur() {
        return Heur.get();
    }
    public String getTransporteur() {
        return Transporteur.get();
    }
    
    public String getFournisseur() {
        return Fournisseur.get();
    }
    
    public String getFacture() {
        return Facture.get();
    }
    
    public String getLocalReception() {
        return LocalReception.get();
    }
    
    
}
